@mixin make-template-columns($s) {
    #{$s}grid-cols-none{ 
        grid-template-columns: none;
    }

    @for $i from 1 through 24 {
        #{$s}grid-cols-#{$i}{ 
            grid-template-columns: repeat(#{$i}, minmax(0, #{$i}fr));
        }
    }
}